/**
 * @fileoverview
 * 'settings-google-services-page' is the settings subpage containing controls
 * to manage non-personalized Google services.
 */
import '../settings_page/settings_subpage.js';
import '../privacy_page/personalization_options.js';
import { PolymerElement } from 'chrome://resources/polymer/v3_0/polymer/polymer_bundled.min.js';
declare const SettingsGoogleServicesPageElementBase: typeof PolymerElement & (new (...args: any[]) => import("chrome://resources/cr_elements/web_ui_listener_mixin.js").WebUiListenerMixinInterface) & (new (...args: any[]) => import("../settings_page/settings_view_mixin.js").SettingsViewMixinInterface);
export declare class SettingsGoogleServicesPageElement extends SettingsGoogleServicesPageElementBase {
    static get is(): string;
    static get template(): HTMLTemplateElement;
    static get properties(): {
        /**
         * The current sync status.
         */
        syncStatus_: {
            type: ObjectConstructor;
        };
    };
    private syncStatus_;
    connectedCallback(): void;
    private onSyncStatusChanged_;
    private shouldShowPageContents_;
    focusBackButton(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'settings-google-services-page': SettingsGoogleServicesPageElement;
    }
}
export {};
